GEOS: geos::noding::SegmentSetMutualIntersector Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
geos::noding::SegmentSetMutualIntersector Class Referenceabstract

An intersector for the red-blue intersection problem. More...

`#include <SegmentSetMutualIntersector.h>`

Inheritance diagram for geos::noding::SegmentSetMutualIntersector:

## Public Member Functions
void | setSegmentIntersector (SegmentIntersector *si)
virtual void | setBaseSegments (SegmentString::ConstVect *segStrings)=0
virtual void | process (SegmentString::ConstVect *segStrings)=0

## Protected Attributes
SegmentIntersector * | segInt

## Detailed Description

An intersector for the red-blue intersection problem.

In this class of line arrangement problem, two disjoint sets of linestrings are provided. It is assumed that within each set, no two linestrings intersect except possibly at their endpoints. Implementations can take advantage of this fact to optimize processing.

Author
  Martin Davis

Version
  1.10

## Member Function Documentation

virtual void geos::noding::SegmentSetMutualIntersector::process | ( | SegmentString::ConstVect * | segStrings | ) |
| pure virtual

Computes the intersections for two collections of SegmentStrings.

Parameters

  segStrings1 | a collection of SegmentStrings to node

Implemented in geos::noding::MCIndexSegmentSetMutualIntersector.

virtual void geos::noding::SegmentSetMutualIntersector::setBaseSegments | ( | SegmentString::ConstVect * | segStrings | ) |
| pure virtual

Parameters

  segStrings0 | a collection of SegmentStrings to node

Implemented in geos::noding::MCIndexSegmentSetMutualIntersector.

void geos::noding::SegmentSetMutualIntersector::setSegmentIntersector | ( | SegmentIntersector * | si | ) |
| inline

Sets the SegmentIntersector to use with this intersector. The SegmentIntersector will either rocord or add intersection nodes for the input segment strings.

Parameters

  segInt | the segment intersector to use

The documentation for this class was generated from the following file:

- SegmentSetMutualIntersector.h